/* typography */
body {
  font-size: 16px;
  line-height: 22px;
  font-family: "DM Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
}

h1 {
  font-size: 36px;
  line-height: 46px;
  font-weight: 700;
  margin: 10px auto;
}

/* global */
body {
  background: var(--color-white);
  margin: 0;
  box-sizing: border-box;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

ul,
li {
  margin: 0;
  padding: 0;
  list-style-type: none;
}

p {
  margin: 0;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
}

img {
  max-width: 100%;
  height: auto;
}

.footer {
  background-color: #eee;
  text-align: center;
  padding: 60px;
  font-size: 14px;
  line-height: 26px;
  color: #777;
}
.footer a {
  color: #60a5fa;
}

.header {
  background-color: #540D6E;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 40px;
}
.header-inner {
  max-width: 900px;
  margin: 0 auto;
}

.main {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 90px 20px;
  overflow-x: hidden;
}

.container {
  width: 100%;
  max-width: 450px;
  margin: 0 auto;
}

.chat {
  display: flex;
  gap: 20px;
  width: 100%;
  max-width: 450px;
}
.chat-avatar {
  flex: 0 0 32px;
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;
}
.chat-avatar img {
  width: 32px;
  height: 32px;
  border-radius: 50%;
}
.chat-text {
  flex: 1 1 80%;
  display: flex;
  flex-direction: column;
}

.chat-user {
  margin: 20px 0;
}
.chat-user .chat-text {
  justify-content: center;
  text-align: end;
}

.msg {
  align-self: flex-start;
  background-color: #eee;
  border-radius: 10px;
  padding: 15px 20px;
  margin-top: 10px;
}
.msg p {
  margin: 0;
}

#PrimaryNumber {
  display: block;
  margin-top: 0;
  margin-bottom: 0;
}

.button {
  background-color: #0EAD69;
  color: #fff;
  border-radius: 10px;
  padding: 15px 35px;
  border: none;
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
}

.response {
  background-color: #0EAD69;
  color: #fff;
  border-radius: 10px;
  padding: 10px 20px;
  border: none;
  font-size: 16px;
  font-weight: bold;
  display: inline-block;
  cursor: pointer;
}

#disconnected {
  margin: 90px 0;
  text-align: center;
}

.hidden {
  display: none;
}

.typing-animation {
  display: inline-flex;
  align-items: center;
}

.typing-dot {
  width: 8px;
  height: 8px;
  background-color: #a7a7a7;
  border-radius: 50%;
  margin-right: 4px;
  animation: typing 1s infinite;
}

@keyframes typing {
  0% {
    opacity: 0.3;
    transform: scale(1);
  }
  50% {
    opacity: 1;
    transform: scale(1.05);
  }
  100% {
    opacity: 0.3;
    transform: scale(1);
  }
}
#agentBlock1 .p-3,
#agentBlock2 .p-3,
#agentBlock3 .p-3,
#agentBlock4 .p-3 {
  border: 1px solid #005500;
}

.receiver-chat div {
  background-color: #005500;
}

@keyframes pulse {
  75%, 100% {
    transform: scale(2);
    opacity: 0;
  }
}
.online {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
}

.pulse {
  display: inline-block;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background-color: #5AC066;
  position: relative;
}
.pulse-inner {
  position: absolute;
  animation: pulse 1s cubic-bezier(0, 0, 0.2, 1) infinite;
  top: 0;
  left: 0;
  display: inline-block;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background-color: #5AC066;
}